net.sourceforge.pmd.ast

## Class ASTLiteralTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.ASTLiteralTest

    public class ASTLiteralTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`ASTLiteralTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testIsCharLiteral()`
`void` `testIsFloatDoubleLiteral()`
`void` `testIsFloatFloatLiteral()`
`void` `testIsIntIntLiteral()`
`void` `testIsIntLongLiteral()`
`void` `testIsNotStringLiteral()`
`void` `testIsStringLiteral()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTLiteralTest

    public ASTLiteralTest()

### Method Detail

#### testIsStringLiteral

    public void testIsStringLiteral()
                             throws Throwable

Throws:
  `Throwable`

#### testIsNotStringLiteral

    public void testIsNotStringLiteral()
                                throws Throwable

Throws:
  `Throwable`

#### testIsIntIntLiteral

    public void testIsIntIntLiteral()
                             throws Throwable

Throws:
  `Throwable`

#### testIsIntLongLiteral

    public void testIsIntLongLiteral()
                              throws Throwable

Throws:
  `Throwable`

#### testIsFloatFloatLiteral

    public void testIsFloatFloatLiteral()
                                 throws Throwable

Throws:
  `Throwable`

#### testIsFloatDoubleLiteral

    public void testIsFloatDoubleLiteral()
                                  throws Throwable

Throws:
  `Throwable`

#### testIsCharLiteral

    public void testIsCharLiteral()
                           throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()